Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class Atom

    java.lang.Object
      jprotein.data.datatype.Atom

    public class Atom

extends java.lang.Object

Classe représentant les atomes ainsi que leurs coordonnées 3D et gérant leur accessibilité par rapport à une sonde (paramètre "probe_radius" du fichier de configuration). La surface accessible d'un atome est discrétisée en numVect*numVect points stockés dans le vecteur cloud.

Constructor Summary
`Atom(java.lang.String symbol)`
`Atom(java.lang.String symbol, javax.vecmath.Point3f coord)`

Method Summary
`float` | `distance(Atom atom)` Méthodes pour le calcul de la distance entre deux atomes.
`float` | `distance(javax.vecmath.Point3f point)`
`float` | `distance(Residue3D residue)`
`boolean` | `equals(java.lang.Object o)` Méthode equals qui ne compare deux atomes que par rapport à leurs noms.
`double` | `getAtomAccessibleSurfaceArea()` Retourne la surface de l'atome qui est accessible.
`int` | `getAtomIndex()`
`static int` | `getAtomIndex(char symbol)` Methodes statiques retournant des caractéristiques générale des atomes
`double` | `getAtomSurfaceArea()`
`javax.vecmath.Point3f` | `getCoordinates()`
`java.lang.String` | `getName()`
`double` | `getPercentAccessibility()` Retourne le pourcentage de la surface de l'atome qui est accessible.
`javax.vecmath.Point3f` | `getProjection(int i)`
`float` | `getRadius()`
`static float` | `getRadius(char symbol)`
`char` | `getSymbol()`
`void` | `initAccess()` Initialisation à "true" de l'accessibilité des points discrétisant la surface de la sphère représentant l'atome.
`boolean` | `isAccessible(int i)`
`boolean` | `isSideChainAtom()` l'atome appartient il à une chaine latérale
`void` | `setAccessibility(Atom atom)` Méthode pour calculer les points accessibles de l'atome courant par un atome par défaut (oxygène) sachant que l'espace est aussi encombré par l'atome atom.
`void` | `setAccessibility(Atom atom, float probeRadius)` Méthode pour calculer les points accessibles de l'atome courant par un atome sonde de rayon probeRadius sachant que l'espace est aussi encombré par l'atome atom.
`void` | `setAccessibility(Atom atom, float probeRadius, float noise)` Méthode pour calculer les points accessibles de l'atome courant par un atome sonde de rayon probeRadius sachant que l'espace est aussi encombré par l'atome atom en spécifiant un bruit (?).
`void` | `setAccessible(boolean b, int i)`
`void` | `setCoordinates(javax.vecmath.Point3f coord)`
`void` | `setName(java.lang.String name)`
`void` | `setSymbol(char symbol)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Atom

    public Atom(java.lang.String symbol)

### Atom

    public Atom(java.lang.String symbol,
                javax.vecmath.Point3f coord)

Method Detail

### getAtomIndex

    public static int getAtomIndex(char symbol)

  Methodes statiques retournant des caractéristiques générale des atomes

### getRadius

    public static float getRadius(char symbol)

### getAtomIndex

    public int getAtomIndex()

### getCoordinates

    public javax.vecmath.Point3f getCoordinates()

### getName

    public java.lang.String getName()

### getRadius

    public float getRadius()

### getSymbol

    public char getSymbol()

### getAtomSurfaceArea

    public double getAtomSurfaceArea()

### isAccessible

    public boolean isAccessible(int i)

### getProjection

    public javax.vecmath.Point3f getProjection(int i)

### setSymbol

    public void setSymbol(char symbol)

### setCoordinates

    public void setCoordinates(javax.vecmath.Point3f coord)

### setName

    public void setName(java.lang.String name)

### setAccessible

    public void setAccessible(boolean b,
                              int i)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isSideChainAtom

    public boolean isSideChainAtom()

  l'atome appartient il à une chaine latérale

### distance

    public float distance(Atom atom)

  Méthodes pour le calcul de la distance entre deux atomes.

### distance

    public float distance(Residue3D residue)

### distance

    public float distance(javax.vecmath.Point3f point)

### getPercentAccessibility

    public double getPercentAccessibility()

  Retourne le pourcentage de la surface de l'atome qui est accessible.

### getAtomAccessibleSurfaceArea

    public double getAtomAccessibleSurfaceArea()

  Retourne la surface de l'atome qui est accessible.

### setAccessibility

    public void setAccessibility(Atom atom)

  Méthode pour calculer les points accessibles de l'atome courant par un atome par défaut (oxygène) sachant que l'espace est aussi encombré par l'atome atom.

### setAccessibility

    public void setAccessibility(Atom atom,
                                 float probeRadius)

  Méthode pour calculer les points accessibles de l'atome courant par un atome sonde de rayon probeRadius sachant que l'espace est aussi encombré par l'atome atom.

### setAccessibility

    public void setAccessibility(Atom atom,
                                 float probeRadius,
                                 float noise)

  Méthode pour calculer les points accessibles de l'atome courant par un atome sonde de rayon probeRadius sachant que l'espace est aussi encombré par l'atome atom en spécifiant un bruit (?).

### initAccess

    public void initAccess()

  Initialisation à "true" de l'accessibilité des points discrétisant la surface de la sphère représentant l'atome.

### equals

    public boolean equals(java.lang.Object o)

  Méthode equals qui ne compare deux atomes que par rapport à leurs noms.

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD